CUPTI (PDF) - v9.1.85 (older) - Last updated November 3, 2017 - Send Feedback

## 3.54. CUpti_ActivityPreemption Struct Reference

## [CUPTI Activity API]

This activity record represents a preemption of a CDP kernel.

### Public Variables

uint32_t blockX
uint32_t blockY
uint32_t blockZ
int64_t gridId
CUpti_ActivityKind kind
uint32_t pad
CUpti_ActivityPreemptionKind preemptionKind
uint64_t timestamp

### Variables

uint32_t CUpti_ActivityPreemption::blockX [inherited]

  The X-dimension of the block that is preempted

uint32_t CUpti_ActivityPreemption::blockY [inherited]

  The Y-dimension of the block that is preempted

uint32_t CUpti_ActivityPreemption::blockZ [inherited]

  The Z-dimension of the block that is preempted

int64_t CUpti_ActivityPreemption::gridId [inherited]

  The grid-id of the block that is preempted

CUpti_ActivityKind CUpti_ActivityPreemption::kind [inherited]

  The activity record kind, must be CUPTI_ACTIVITY_KIND_PREEMPTION

uint32_t CUpti_ActivityPreemption::pad [inherited]

  Undefined. Reserved for internal use.

CUpti_ActivityPreemptionKind CUpti_ActivityPreemption::preemptionKind [inherited]

  kind of the preemption

uint64_t CUpti_ActivityPreemption::timestamp [inherited]

  The timestamp of the preemption, in ns. A value of 0 indicates that timestamp information could not be collected for the preemption.